﻿using System;
using System.IO;
using System.Xml;

namespace xpathExamples
{
    class Program
    {
        static void Main()
        {
            using (FileStream fs = new FileStream("../../bookstore.xml", FileMode.Open))
            {
                XmlDocument xmlDocument = new XmlDocument();
                xmlDocument.Load(fs);

                XmlNode firstTitle = xmlDocument.SelectSingleNode("//title");
                Console.WriteLine(firstTitle.OuterXml);
                Console.WriteLine(firstTitle.InnerText);

                XmlAttributeCollection titleAttributes = firstTitle.Attributes;
                for (int i = 0; i < titleAttributes.Count; i++)
                {
                    XmlAttribute attribute = titleAttributes[i];
                    Console.WriteLine(attribute.Name + ": " + attribute.Value);
                }

                XmlNodeList allTitles = xmlDocument.SelectNodes("//title");
                //Console.WriteLine(String.Join(", ", allTitles));
                
                for (int i = 0; i < allTitles.Count; i++)
                {
                    XmlNode element = allTitles[i];
                    
                    Console.WriteLine(element.OuterXml + " " + element.InnerText);
                }
            }
        }
    }
}
